com.jnape.palatable.lambda.functions.builtin.fn2

## Class Into8<A,B,C,D,E,F,G,H,I>

- java.lang.Object
- - com.jnape.palatable.lambda.functions.builtin.fn2.Into8<A,B,C,D,E,F,G,H,I>

- Type Parameters:
    `A` - the first argument type
    `B` - the second argument type
    `C` - the third argument type
    `D` - the fourth argument type
    `E` - the fifth argument type
    `F` - the sixth argument type
    `G` - the seventh argument type
    `H` - the eighth argument type
    `I` - the result type
  All Implemented Interfaces:
    Fn1<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,Fn1<Product8<A,B,C,D,E,F,G,H>,I>>, Fn2<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,Product8<A,B,C,D,E,F,G,H>,I>, Applicative<Fn1<Product8<A,B,C,D,E,F,G,H>,I>,Fn1<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,?>>, Cartesian<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,Fn1<Product8<A,B,C,D,E,F,G,H>,I>,Fn1<?,?>>, Cocartesian<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,Fn1<Product8<A,B,C,D,E,F,G,H>,I>,Fn1<?,?>>, Contravariant<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,Profunctor<?,Fn1<Product8<A,B,C,D,E,F,G,H>,I>,Fn1<?,?>>>, Functor<Fn1<Product8<A,B,C,D,E,F,G,H>,I>,Fn1<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,?>>, Profunctor<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,Fn1<Product8<A,B,C,D,E,F,G,H>,I>,Fn1<?,?>>, Monad<Fn1<Product8<A,B,C,D,E,F,G,H>,I>,Fn1<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,?>>, MonadReader<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,Fn1<Product8<A,B,C,D,E,F,G,H>,I>,Fn1<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,?>>, MonadRec<Fn1<Product8<A,B,C,D,E,F,G,H>,I>,Fn1<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,?>>, MonadWriter<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,Fn1<Product8<A,B,C,D,E,F,G,H>,I>,Fn1<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,?>>

      public final class Into8<A,B,C,D,E,F,G,H,I>
      extends Object
      implements Fn2<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,Product8<A,B,C,D,E,F,G,H>,I>

  Given an ``Fn8`<A, B, C, D, E, F, G, H, I>` and a ``Product8`<A, B, C, D, E, F, G, H>`, destructure the product and apply the slots as arguments to the function, returning the result.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Into8()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `I` | `checkedApply(Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I> fn, Product8<A,B,C,D,E,F,G,H> product)`
    `static <A,B,C,D,E,F,G,H,I> Into8<A,B,C,D,E,F,G,H,I>` | `into8()`
    `static <A,B,C,D,E,F,G,H,I> Fn1<Product8<A,B,C,D,E,F,G,H>,I>` | `into8(Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I> fn)`
    `static <A,B,C,D,E,F,G,H,I> I` | `into8(Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I> fn, Product8<A,B,C,D,E,F,G,H> product)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn2

      `apply, apply, checkedApply, compose, contraMap, curried, curry, diMapL, discardR, flip, fn2, fromBiFunction, toBiFunction, uncurry, widen`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functions.Fn1

      `andThen, carry, cartesian, censor, choose, cocartesian, diMap, diMapR, discardL, flatMap, fmap, fn1, fromFunction, lazyZip, listens, local, pure, pureFn1, thunk, toFunction, trampolineM, zip, zip`

    - ### Methods inherited from interface com.jnape.palatable.lambda.monad.Monad

      `join`

    - ### Methods inherited from interface com.jnape.palatable.lambda.functor.Functor

      `coerce`

- - ### Constructor Detail

    - #### Into8

          public Into8()

  - ### Method Detail

    - #### checkedApply

          public I checkedApply(Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I> fn,
                                Product8<A,B,C,D,E,F,G,H> product)

      Specified by:
        `checkedApply` in interface `Fn2<Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I>,Product8<A,B,C,D,E,F,G,H>,I>`

    - #### into8

          public static <A,B,C,D,E,F,G,H,I> Into8<A,B,C,D,E,F,G,H,I> into8()

    - #### into8

          public static <A,B,C,D,E,F,G,H,I> Fn1<Product8<A,B,C,D,E,F,G,H>,I> into8(Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I> fn)

    - #### into8

          public static <A,B,C,D,E,F,G,H,I> I into8(Fn8<? super A,? super B,? super C,? super D,? super E,? super F,? super G,? super H,? extends I> fn,
                                                    Product8<A,B,C,D,E,F,G,H> product)